VSTGUI 4.3 on a VST 2.4 plugin, possible?

A user interface toolkit mainly for audio plug-ins (VST, AudioUnit, etc).
Post Reply
kv331audio
Posts: 2
Joined: Sun May 19, 2019 3:46 pm

VSTGUI 4.3 on a VST 2.4 plugin, possible?

Post by kv331audio » Thu May 30, 2019 11:20 am

Hi folks

I'm still using VSTGUI 3.6 on our plugins (SynthMaster, SynthMaster One, SynthMaster Player). They're VST 2.4 plugins, not VST3 yet.

I have many UI classes derived from CView/CViewContainer. Before I'm moving to VST3 yet, just wondering if I can replace VSTGUI 3.6 with VSTGUI 4.3?

Thanks

Bulent

Arne Scheffler
Posts: 297
Joined: Mon Jun 20, 2016 7:53 am

Re: VSTGUI 4.3 on a VST 2.4 plugin, possible?

Post by Arne Scheffler » Thu May 30, 2019 11:38 am

Hi,
sure it's possible, but involves work from your side.
Read
https://github.com/steinbergmedia/vstgu ... _changes.h
especially the section: code_changes_3_6_to_4_0.

I hope this helps,
Arne

kv331audio
Posts: 2
Joined: Sun May 19, 2019 3:46 pm

Re: VSTGUI 4.3 on a VST 2.4 plugin, possible?

Post by kv331audio » Thu May 30, 2019 11:57 am

Thanks Arne! so as long as I update my UI code it should work. That sounds good!

Post Reply